Get Company Details
This API will get the company details. We must pass merchant id and email id in request. If the request has valid details, we will get details like company id, company name, company domain, company code and company email etc.
https://kraken.airpay.co.in/airpay/ms/invoicepay/api/merchant-detailsRequest Body
Section titled “Request Body”| Parameter | Type Value | Description | Value Like |
|---|---|---|---|
| merchant_id required | Numeric | Need to pass the merchant id of company (length 1-11) | 1088 |
| email_id required | Varchar | Need to pass the email_id of the company (length 1-50) | xyz@company.com |
Success 200
Section titled “Success 200”| Parameter | Type Value | Description | Value Like |
|---|---|---|---|
| result required | String | Result message Success - 200 (The transaction is success) Transaction in Process - 211 (The transaction is processing) Failed - 400 (The transaction is failed) Dropped - 401 (The transaction will not register properly) Cancel - 402 (payment that has not yet been processed) Incomplete - 403 (Not recieved any call back from bank) Bounced - 405 (The transaction has bounced) No Records - 503 (There are no records found) | success |
| data required | Varchar | Data contains COMPANY_ID - Company id COMPANY_NAME - Company name COMPANY_DOMAIN - Company domain COMPANY_CODE - Company code COMPANY_EMAIL - Company email AIRPAY_MERCHANT_ID - airpay merchant id AIRPAY_USERNAME - airpay username AIRPAY_PASSWORD - airpay Password AIRPAY_SECRET_KEY - airpay secret key EXPIRED_ON - Expired on is valid period for the invoice EXPIRED_ON_OLD - Expired on old is valid period for the invoice COMPANY_SECRET_TOKEN - Company secret token |
Request Example
Section titled “Request Example”{ "merchant_id": 1088, "email_id": "xyz@company.com"}Success Response
Section titled “Success Response”HTTP/1.1 200 OK{ "result":"success", "data": { "COMPANY_ID":"034", "COMPANY_NAME":"newcompany", "COMPANY_DOMAIN":"testcompany", "COMPANY_CODE":"123", "COMPANY_EMAIL":"xyz@sample.com", "AIRPAY_MERCHANT_ID":"1088", "AIRPAY_USERNAME":" 1234567", "AIRPAY_PASSWORD":" passABc", "AIRPAY_SECRET_KEY":" 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps", "EXPIRED_ON":"168", "EXPIRED_ON_OLD":"168", "COMPANY_SECRET_TOKEN":"91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps" }}Error Response
Section titled “Error Response”HTTP/1.1 502 Not Found { "status": 502, "message": [] }